<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__v2__hmac__buffers__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_v2_hmac_buffers_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__v2__hmac__buffers__t_1a6cc6c284a02b20d97bb51e9090ffe94c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_crypto_v2_hmac_buffers_t::ipad[CY_CRYPTO_HMAC_MAX_PAD_SIZE]</definition>
        <argsstring>[CY_CRYPTO_HMAC_MAX_PAD_SIZE]</argsstring>
        <name>ipad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="58" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v2__hmac__buffers__t_1a61eee3c77a385f0e90c9b1f48f898065" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_crypto_v2_hmac_buffers_t::opad[CY_CRYPTO_HMAC_MAX_PAD_SIZE]</definition>
        <argsstring>[CY_CRYPTO_HMAC_MAX_PAD_SIZE]</argsstring>
        <name>opad</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="59" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v2__hmac__buffers__t_1a5f3f56b7df46d6c03fef83533559c67a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_crypto_v2_hmac_buffers_t::m0Key[CY_CRYPTO_SHA_MAX_BLOCK_SIZE]</definition>
        <argsstring>[CY_CRYPTO_SHA_MAX_BLOCK_SIZE]</argsstring>
        <name>m0Key</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v2__hmac__buffers__t_1a21c8033720d826bd8605a04b8b4adbb9" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_crypto_v2_sha512_buffers_t</type>
        <definition>cy_stc_crypto_v2_sha512_buffers_t cy_stc_crypto_v2_hmac_buffers_t::shaBuffers</definition>
        <argsstring />
        <name>shaBuffers</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__v2__hmac__buffers__t_1ac55716a18f24f116ff47fc91cff093a2" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_crypto_v2_hmac_state_t</type>
        <definition>cy_stc_crypto_v2_hmac_state_t cy_stc_crypto_v2_hmac_buffers_t::hmacState</definition>
        <argsstring />
        <name>hmacState</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="62" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="124">
        <label>cy_stc_crypto_v2_hmac_buffers_t</label>
        <childnode refid="125" relation="usage">
          <edgelabel>hmacState</edgelabel>
        </childnode>
      </node>
      <node id="125">
        <label>cy_stc_crypto_v2_hmac_state_t</label>
      </node>
    </collaborationgraph>
    <location bodyend="63" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_hmac_v2.c" line="57" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__v2__hmac__buffers__t_1ac55716a18f24f116ff47fc91cff093a2" virt="non-virtual"><scope>cy_stc_crypto_v2_hmac_buffers_t</scope><name>hmacState</name></member>
      <member prot="public" refid="structcy__stc__crypto__v2__hmac__buffers__t_1a6cc6c284a02b20d97bb51e9090ffe94c" virt="non-virtual"><scope>cy_stc_crypto_v2_hmac_buffers_t</scope><name>ipad</name></member>
      <member prot="public" refid="structcy__stc__crypto__v2__hmac__buffers__t_1a5f3f56b7df46d6c03fef83533559c67a" virt="non-virtual"><scope>cy_stc_crypto_v2_hmac_buffers_t</scope><name>m0Key</name></member>
      <member prot="public" refid="structcy__stc__crypto__v2__hmac__buffers__t_1a61eee3c77a385f0e90c9b1f48f898065" virt="non-virtual"><scope>cy_stc_crypto_v2_hmac_buffers_t</scope><name>opad</name></member>
      <member prot="public" refid="structcy__stc__crypto__v2__hmac__buffers__t_1a21c8033720d826bd8605a04b8b4adbb9" virt="non-virtual"><scope>cy_stc_crypto_v2_hmac_buffers_t</scope><name>shaBuffers</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>